aboutsummaryrefslogtreecommitdiff
path: root/bash/bash_completion.d/mex.bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash/bash_completion.d/mex.bash')
-rw-r--r--bash/bash_completion.d/mex.bash3
1 files changed, 2 insertions, 1 deletions
diff --git a/bash/bash_completion.d/mex.bash b/bash/bash_completion.d/mex.bash
index d25f1824..bc3d2c7b 100644
--- a/bash/bash_completion.d/mex.bash
+++ b/bash/bash_completion.d/mex.bash
@@ -6,7 +6,8 @@ _mex() {
for dir in "${path[@]}" ; do
[[ -d $dir ]] || continue
for name in "$dir"/* ; do
- [[ -f $name ]] || continue
+ [[ -e $name ]] || continue
+ ! [[ -d $name ]] || continue
! [[ -x $name ]] || continue
COMPREPLY[${#COMPREPLY[@]}]=${name##*/}
done